Create a secret
POST/accounts/{account_id}/secrets_store/stores/{store_id}/secrets
Creates a secret in the account
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Create a secret
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/secrets_store/stores/$STORE_ID/secrets \
-H 'Content-Type: application/json' \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
-d '[
{
"name": "MY_API_KEY",
"scopes": [
"workers",
"ai_gateway",
"dex",
"access"
],
"value": "api-token-secret-123",
"comment": "info about my secret"
}
]'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "3fd85f74b32742f1bff64a85009dda07",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"name": "MY_API_KEY",
"status": "pending",
"store_id": "023e105f4ecef8ad9ca31a8372d0c353",
"comment": "info about my secret"
}
],
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"id": "3fd85f74b32742f1bff64a85009dda07",
"created": "2023-09-21T18:56:32.624632Z",
"modified": "2023-09-21T18:56:32.624632Z",
"name": "MY_API_KEY",
"status": "pending",
"store_id": "023e105f4ecef8ad9ca31a8372d0c353",
"comment": "info about my secret"
}
],
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000
}
}